VDPAU

Data Fields
VdpReferenceFrameH264 Struct Reference
Core API » VdpDecoder; Video Decoding object

Information about an H.264 reference frame. More...

`#include <vdpau.h>`

## Data Fields
VdpVideoSurface | surface
VdpBool | is_long_term
VdpBool | top_is_reference
VdpBool | bottom_is_reference
int32_t | field_order_cnt [2]
uint16_t | frame_idx

## Detailed Description

Information about an H.264 reference frame.

Note: References to bitstream fields below may refer to data literally parsed from the bitstream, or derived from the bitstream using a mechanism described in the specification.

## Field Documentation

## ◆ bottom_is_reference

VdpBool VdpReferenceFrameH264::bottom_is_reference

Is the bottom field used as a reference. Set to VDP_FALSE for unused entries.

## ◆ field_order_cnt

int32_t VdpReferenceFrameH264::field_order_cnt[2]

[0]: top, [1]: bottom

## ◆ frame_idx

uint16_t VdpReferenceFrameH264::frame_idx

Copy of the H.264 bitstream field: frame_num from slice_header for short-term references, LongTermPicNum from decoding algorithm for long-term references.

## ◆ is_long_term

VdpBool VdpReferenceFrameH264::is_long_term

Is this a long term reference (else short term).

## ◆ surface

VdpVideoSurface VdpReferenceFrameH264::surface

The surface that contains the reference image. Set to VDP_INVALID_HANDLE for unused entries.

## ◆ top_is_reference

VdpBool VdpReferenceFrameH264::top_is_reference

Is the top field used as a reference. Set to VDP_FALSE for unused entries.

The documentation for this struct was generated from the following file:

- vdpau/vdpau.h